// ignore_for_file: public_member_api_docs

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';

part 'lead_state_wearecg.g.dart';

@CopyWith()
class LeadStateWearEcg extends StatelessWidget {
  const LeadStateWearEcg({
    super.key,
    this.height = 50,
    this.onLoadingWidget,
    this.wrapperWidget,
  });

  final double height;
  final Widget? onLoadingWidget;

  final Widget Function(List<bool>)? wrapperWidget;

  @override
  Widget build(BuildContext context) {
    return Observer(
      key: UniqueKey(),
      builder: (context) {
        return StreamBuilder(
          stream: BLEManager().manageWearEcg12.streams.leadStateStream,
          builder: (context, snapshot) {
            final leadstate = snapshot.data?.toList().toString() ?? '[]';
            return Text(leadstate);
          },
        );
      },
    );
  }
}
